summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD35
2 files changed, 53 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e0fb7c2fc15
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = ncline-git
+ pkgdesc = The nCine command line tool
+ pkgver = r10.9693301
+ pkgrel = 1
+ url = http://ncine.github.io
+ arch = i686
+ arch = x86_64
+ license = MIT
+ makedepends = git
+ makedepends = cmake
+ depends = gcc-libs
+ provides = ncline
+ conflicts = ncline
+ source = git://github.com/nCine/ncline
+ md5sums = SKIP
+
+pkgname = ncline-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..31409afcd44
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Angelo Theodorou <encelo@gmail.com>
+
+pkgname=ncline-git
+pkgver=r10.9693301
+pkgrel=1
+pkgdesc="The nCine command line tool"
+arch=('i686' 'x86_64')
+url="http://ncine.github.io"
+license=('MIT')
+depends=('gcc-libs')
+makedepends=('git' 'cmake')
+conflicts=('ncline')
+provides=('ncline')
+source=('git://github.com/nCine/ncline')
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/ncline"
+ ( set -o pipefail
+ git describe --tags --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ mkdir -p build && cd build
+
+ cmake ../ncline -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr
+ make
+}
+
+package() {
+ make -C build DESTDIR=$pkgdir PREFIX= install
+ install -Dm0644 $srcdir/ncline/LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE
+}